clang-tools 8.0.0

Classes | Namespaces | Macros | Functions
YAMLSerialization.cpp File Reference
`#include "Index.h"`
`#include "Serialization.h"`
`#include "Trace.h"`
`#include "dex/Dex.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Allocator.h"`
`#include "llvm/Support/Errc.h"`
`#include "llvm/Support/MemoryBuffer.h"`
`#include "llvm/Support/StringSaver.h"`
`#include "llvm/Support/YAMLTraits.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <cstdint>`
Include dependency graph for YAMLSerialization.cpp:

Go to the source code of this file.

## Classes
struct | llvm::yaml::NormalizedSymbolID
struct | llvm::yaml::NormalizedSymbolFlag
struct | llvm::yaml::NormalizedSymbolOrigin
struct | llvm::yaml::MappingTraits< YPosition >
struct | llvm::yaml::NormalizedPosition
struct | llvm::yaml::NormalizedFileURI
struct | llvm::yaml::MappingTraits< SymbolLocation >
struct | llvm::yaml::MappingTraits< SymbolInfo >
struct | llvm::yaml::MappingTraits< clang::clangd::Symbol::IncludeHeaderWithReferences >
struct | llvm::yaml::MappingTraits< Symbol >
struct | llvm::yaml::ScalarEnumerationTraits< SymbolLanguage >
struct | llvm::yaml::ScalarEnumerationTraits< SymbolKind >
struct | llvm::yaml::MappingTraits< RefBundle >
struct | llvm::yaml::NormalizedRefKind
struct | llvm::yaml::MappingTraits< Ref >
struct | llvm::yaml::MappingTraits< VariantEntry >

## Namespaces
| llvm
| Some operations such as code completion produce a set of candidates.
| llvm::yaml
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Macros
#define | DEFINE_ENUM(name) IO.enumCase(Value, #name, SymbolKind::name)

## Functions
void | clang::clangd::writeYAML (const IndexFileOut &, llvm::raw_ostream &)
llvm::Expected< IndexFileIn > | clang::clangd::readYAML (llvm::StringRef)
std::string | clang::clangd::toYAML (const Symbol &)
std::string | clang::clangd::toYAML (const std::pair< SymbolID, llvm::ArrayRef< Ref >> &Data)

## Macro Definition Documentation

## ◆ DEFINE_ENUM

#define DEFINE_ENUM | ( |  | name | ) | IO.enumCase(Value, #name, SymbolKind::name)

Referenced by llvm::yaml::ScalarEnumerationTraits< SymbolKind >::enumeration().